<?php

	/*------------ First highlight color --------------*/

	$vw_restaurant_lite_first_color = get_theme_mod('vw_restaurant_lite_first_color');

	$vw_restaurant_lite_custom_css = '';

	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='.header .book-btn a, .slider .more-btn a.button, .contact-box i, .tab button:hover,button.tablinks.active, .footer .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__button, .pagination .current, .pagination a:hover, input[type="submit"], .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .hvr-sweep-to-right:before, nav.woocommerce-MyAccount-navigation ul li, .sidebar .tagcloud a:hover, .footer .tagcloud a:hover, .footer input[type="submit"]:hover, .copyright, .scrollup i, .toggle-nav i, .nav-previous a:hover, .nav-next a:hover, #preloader, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a:hover, .slider .carousel-control-prev-icon i:hover, .slider .carousel-control-next-icon i:hover, .sidebar a.custom_read_more, .footer a.custom_read_more, .footer a.custom_read_more:hover, .footer .custom-social-icons i, .sidebar .custom-social-icons i,.bradcrumbs a, .post-categories li a,.bradcrumbs span{';
			$vw_restaurant_lite_custom_css .='background-color: '.esc_attr($vw_restaurant_lite_first_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}
	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='a, #popular-menu h4 a:hover, .contact-box p a:hover, .slider .inner_carousel h1 a:hover, .header .logo .site-title a:hover, .main-navigation a:hover, .main-navigation ul.sub-menu a:hover, span.woocommerce-Price-amount.amount{';
			$vw_restaurant_lite_custom_css .='color: '.esc_attr($vw_restaurant_lite_first_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}
	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='.related-post h2 a,.services .section-title a, .date-box a:hover, .single-post .metabox:hover .entry-date a, .single-post .metabox:hover .entry-author a, .sidebar ul li a:hover, .sidebar li.wp-block-latest-comments__comment a, .footer h3, .footer li a:hover, .post-password-form input[type=submit]:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .entry-summary a, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .woocommerce-message::before, span.wp-calendar-nav-prev a, a.rsswidget.rss-widget-title, .custom-social-icons i:hover, .single-post .nav-previous a:hover, .single-post .nav-next a:hover, .footer .wp-block-search .wp-block-search__label{';
			$vw_restaurant_lite_custom_css .='color: '.esc_attr($vw_restaurant_lite_first_color).'!important;';
		$vw_restaurant_lite_custom_css .='}';
	}
	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='.woocommerce-message, .slider .carousel-control-prev-icon i:hover, .slider .carousel-control-next-icon i:hover{';
			$vw_restaurant_lite_custom_css .='border-color: '.esc_attr($vw_restaurant_lite_first_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}
	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='.main-navigation ul ul{';
			$vw_restaurant_lite_custom_css .='border-top-color: '.esc_attr($vw_restaurant_lite_first_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}
	if($vw_restaurant_lite_first_color != false){
		$vw_restaurant_lite_custom_css .='.main-navigation ul ul, #popular-menu p.price:before, .footer h3, .footer .wp-block-search .wp-block-search__label{';
			$vw_restaurant_lite_custom_css .='border-bottom-color: '.esc_attr($vw_restaurant_lite_first_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}

	$vw_restaurant_lite_custom_css .='@media screen and (max-width:1000px) {';
		if($vw_restaurant_lite_first_color != false){
			$vw_restaurant_lite_custom_css .='.search-box i{
			background-color:'.esc_attr($vw_restaurant_lite_first_color).';
			}';
		}
	$vw_restaurant_lite_custom_css .='}';

	$vw_restaurant_lite_copyright_background_color = get_theme_mod('vw_restaurant_lite_copyright_background_color');
	if($vw_restaurant_lite_copyright_background_color != false){
		$vw_restaurant_lite_custom_css .='.copyright{';
			$vw_restaurant_lite_custom_css .='background-color: '.esc_attr($vw_restaurant_lite_copyright_background_color).';';
		$vw_restaurant_lite_custom_css .='}';
	} 

	/*---------------------------Width Layout -------------------*/

	$vw_restaurant_lite_theme_lay = get_theme_mod( 'vw_restaurant_lite_width_option','Full Width');
    if($vw_restaurant_lite_theme_lay == 'Boxed'){
		$vw_restaurant_lite_custom_css .='body{';
			$vw_restaurant_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_restaurant_lite_custom_css .='}';
		$vw_restaurant_lite_custom_css .='.header .logo{';
			$vw_restaurant_lite_custom_css .='padding: 15px 10px;';
		$vw_restaurant_lite_custom_css .='}';
	}else if($vw_restaurant_lite_theme_lay == 'Wide Width'){
		$vw_restaurant_lite_custom_css .='body{';
			$vw_restaurant_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_restaurant_lite_custom_css .='}';
	}else if($vw_restaurant_lite_theme_lay == 'Full Width'){
		$vw_restaurant_lite_custom_css .='body{';
			$vw_restaurant_lite_custom_css .='max-width: 100%;';
		$vw_restaurant_lite_custom_css .='}';
	}

	// Header Background Color
	$vw_restaurant_lite_header_background_color = get_theme_mod('vw_restaurant_lite_header_background_color');
	if($vw_restaurant_lite_header_background_color != false){
		$vw_restaurant_lite_custom_css .='.header{';
			$vw_restaurant_lite_custom_css .='background-color: '.esc_attr($vw_restaurant_lite_header_background_color).';';
		$vw_restaurant_lite_custom_css .='}';
	}

